// Copyright (C) 2021 Storj Labs, Inc.
// See LICENSE for copying information
//

package location

// Code generated by ./gen/generate.go. DO NOT EDIT.
// original source: https://download.geonames.org/export/dump/countryInfo.txt
// license of the datasource: Creative Commons Attribution 4.0 License,
// https://creativecommons.org/licenses/by/4.0/

//go:generate go run ./gen/generate.go
// country codes to two letter upper case ISO country code as uint16.
const (
	None                                   = CountryCode(0)
	Afghanistan                            = CountryCode(16710)
	AlandIslands                           = CountryCode(16728)
	Albania                                = CountryCode(16716)
	Algeria                                = CountryCode(17498)
	AmericanSamoa                          = CountryCode(16723)
	Andorra                                = CountryCode(16708)
	Angola                                 = CountryCode(16719)
	Anguilla                               = CountryCode(16713)
	Antarctica                             = CountryCode(16721)
	AntiguaandBarbuda                      = CountryCode(16711)
	Argentina                              = CountryCode(16722)
	Armenia                                = CountryCode(16717)
	Aruba                                  = CountryCode(16727)
	Australia                              = CountryCode(16725)
	Austria                                = CountryCode(16724)
	Azerbaijan                             = CountryCode(16730)
	Bahamas                                = CountryCode(16979)
	Bahrain                                = CountryCode(16968)
	Bangladesh                             = CountryCode(16964)
	Barbados                               = CountryCode(16962)
	Belarus                                = CountryCode(16985)
	Belgium                                = CountryCode(16965)
	Belize                                 = CountryCode(16986)
	Benin                                  = CountryCode(16970)
	Bermuda                                = CountryCode(16973)
	Bhutan                                 = CountryCode(16980)
	Bolivia                                = CountryCode(16975)
	BonaireSaintEustatiusandSaba           = CountryCode(16977)
	BosniaandHerzegovina                   = CountryCode(16961)
	Botswana                               = CountryCode(16983)
	BouvetIsland                           = CountryCode(16982)
	Brazil                                 = CountryCode(16978)
	BritishIndianOceanTerritory            = CountryCode(18767)
	BritishVirginIslands                   = CountryCode(22087)
	Brunei                                 = CountryCode(16974)
	Bulgaria                               = CountryCode(16967)
	BurkinaFaso                            = CountryCode(16966)
	Burundi                                = CountryCode(16969)
	Cambodia                               = CountryCode(19272)
	Cameroon                               = CountryCode(17229)
	Canada                                 = CountryCode(17217)
	CapeVerde                              = CountryCode(17238)
	CaymanIslands                          = CountryCode(19289)
	CentralAfricanRepublic                 = CountryCode(17222)
	Chad                                   = CountryCode(21572)
	Chile                                  = CountryCode(17228)
	China                                  = CountryCode(17230)
	ChristmasIsland                        = CountryCode(17240)
	CocosIslands                           = CountryCode(17219)
	Colombia                               = CountryCode(17231)
	Comoros                                = CountryCode(19277)
	CookIslands                            = CountryCode(17227)
	CostaRica                              = CountryCode(17234)
	Croatia                                = CountryCode(18514)
	Cuba                                   = CountryCode(17237)
	Curacao                                = CountryCode(17239)
	Cyprus                                 = CountryCode(17241)
	CzechRepublic                          = CountryCode(17242)
	DemocraticRepublicoftheCongo           = CountryCode(17220)
	Denmark                                = CountryCode(17483)
	Djibouti                               = CountryCode(17482)
	Dominica                               = CountryCode(17485)
	DominicanRepublic                      = CountryCode(17487)
	EastTimor                              = CountryCode(21580)
	Ecuador                                = CountryCode(17731)
	Egypt                                  = CountryCode(17735)
	ElSalvador                             = CountryCode(21334)
	EquatorialGuinea                       = CountryCode(18257)
	Eritrea                                = CountryCode(17746)
	Estonia                                = CountryCode(17733)
	Ethiopia                               = CountryCode(17748)
	FalklandIslands                        = CountryCode(17995)
	FaroeIslands                           = CountryCode(17999)
	Fiji                                   = CountryCode(17994)
	Finland                                = CountryCode(17993)
	France                                 = CountryCode(18002)
	FrenchGuiana                           = CountryCode(18246)
	FrenchPolynesia                        = CountryCode(20550)
	FrenchSouthernTerritories              = CountryCode(21574)
	Gabon                                  = CountryCode(18241)
	Gambia                                 = CountryCode(18253)
	Georgia                                = CountryCode(18245)
	Germany                                = CountryCode(17477)
	Ghana                                  = CountryCode(18248)
	Gibraltar                              = CountryCode(18249)
	Greece                                 = CountryCode(18258)
	Greenland                              = CountryCode(18252)
	Grenada                                = CountryCode(18244)
	Guadeloupe                             = CountryCode(18256)
	Guam                                   = CountryCode(18261)
	Guatemala                              = CountryCode(18260)
	Guernsey                               = CountryCode(18247)
	Guinea                                 = CountryCode(18254)
	GuineaBissau                           = CountryCode(18263)
	Guyana                                 = CountryCode(18265)
	Haiti                                  = CountryCode(18516)
	HeardIslandandMcDonaldIslands          = CountryCode(18509)
	Honduras                               = CountryCode(18510)
	HongKong                               = CountryCode(18507)
	Hungary                                = CountryCode(18517)
	Iceland                                = CountryCode(18771)
	India                                  = CountryCode(18766)
	Indonesia                              = CountryCode(18756)
	Iran                                   = CountryCode(18770)
	Iraq                                   = CountryCode(18769)
	Ireland                                = CountryCode(18757)
	IsleofMan                              = CountryCode(18765)
	Israel                                 = CountryCode(18764)
	Italy                                  = CountryCode(18772)
	IvoryCoast                             = CountryCode(17225)
	Jamaica                                = CountryCode(19021)
	Japan                                  = CountryCode(19024)
	Jersey                                 = CountryCode(19013)
	Jordan                                 = CountryCode(19023)
	Kazakhstan                             = CountryCode(19290)
	Kenya                                  = CountryCode(19269)
	Kiribati                               = CountryCode(19273)
	Kosovo                                 = CountryCode(22603)
	Kuwait                                 = CountryCode(19287)
	Kyrgyzstan                             = CountryCode(19271)
	Laos                                   = CountryCode(19521)
	Latvia                                 = CountryCode(19542)
	Lebanon                                = CountryCode(19522)
	Lesotho                                = CountryCode(19539)
	Liberia                                = CountryCode(19538)
	Libya                                  = CountryCode(19545)
	Liechtenstein                          = CountryCode(19529)
	Lithuania                              = CountryCode(19540)
	Luxembourg                             = CountryCode(19541)
	Macao                                  = CountryCode(19791)
	Macedonia                              = CountryCode(19787)
	Madagascar                             = CountryCode(19783)
	Malawi                                 = CountryCode(19799)
	Malaysia                               = CountryCode(19801)
	Maldives                               = CountryCode(19798)
	Mali                                   = CountryCode(19788)
	Malta                                  = CountryCode(19796)
	MarshallIslands                        = CountryCode(19784)
	Martinique                             = CountryCode(19793)
	Mauritania                             = CountryCode(19794)
	Mauritius                              = CountryCode(19797)
	Mayotte                                = CountryCode(22868)
	Mexico                                 = CountryCode(19800)
	Micronesia                             = CountryCode(17997)
	Moldova                                = CountryCode(19780)
	Monaco                                 = CountryCode(19779)
	Mongolia                               = CountryCode(19790)
	Montenegro                             = CountryCode(19781)
	Montserrat                             = CountryCode(19795)
	Morocco                                = CountryCode(19777)
	Mozambique                             = CountryCode(19802)
	Myanmar                                = CountryCode(19789)
	Namibia                                = CountryCode(20033)
	Nauru                                  = CountryCode(20050)
	Nepal                                  = CountryCode(20048)
	Netherlands                            = CountryCode(20044)
	NetherlandsAntilles                    = CountryCode(16718)
	NewCaledonia                           = CountryCode(20035)
	NewZealand                             = CountryCode(20058)
	Nicaragua                              = CountryCode(20041)
	Niger                                  = CountryCode(20037)
	Nigeria                                = CountryCode(20039)
	Niue                                   = CountryCode(20053)
	NorfolkIsland                          = CountryCode(20038)
	NorthKorea                             = CountryCode(19280)
	NorthernMarianaIslands                 = CountryCode(19792)
	Norway                                 = CountryCode(20047)
	Oman                                   = CountryCode(20301)
	Pakistan                               = CountryCode(20555)
	Palau                                  = CountryCode(20567)
	PalestinianTerritory                   = CountryCode(20563)
	Panama                                 = CountryCode(20545)
	PapuaNewGuinea                         = CountryCode(20551)
	Paraguay                               = CountryCode(20569)
	Peru                                   = CountryCode(20549)
	Philippines                            = CountryCode(20552)
	Pitcairn                               = CountryCode(20558)
	Poland                                 = CountryCode(20556)
	Portugal                               = CountryCode(20564)
	PuertoRico                             = CountryCode(20562)
	Qatar                                  = CountryCode(20801)
	RepublicoftheCongo                     = CountryCode(17223)
	Reunion                                = CountryCode(21061)
	Romania                                = CountryCode(21071)
	Russia                                 = CountryCode(21077)
	Rwanda                                 = CountryCode(21079)
	SaintBarthelemy                        = CountryCode(16972)
	SaintHelena                            = CountryCode(21320)
	SaintKittsandNevis                     = CountryCode(19278)
	SaintLucia                             = CountryCode(19523)
	SaintMartin                            = CountryCode(19782)
	SaintPierreandMiquelon                 = CountryCode(20557)
	SaintVincentandtheGrenadines           = CountryCode(22083)
	Samoa                                  = CountryCode(22355)
	SanMarino                              = CountryCode(21325)
	SaoTomeandPrincipe                     = CountryCode(21332)
	SaudiArabia                            = CountryCode(21313)
	Senegal                                = CountryCode(21326)
	Serbia                                 = CountryCode(21075)
	SerbiaandMontenegro                    = CountryCode(17235)
	Seychelles                             = CountryCode(21315)
	SierraLeone                            = CountryCode(21324)
	Singapore                              = CountryCode(21319)
	SintMaarten                            = CountryCode(21336)
	Slovakia                               = CountryCode(21323)
	Slovenia                               = CountryCode(21321)
	SolomonIslands                         = CountryCode(21314)
	Somalia                                = CountryCode(21327)
	SouthAfrica                            = CountryCode(23105)
	SouthGeorgiaandtheSouthSandwichIslands = CountryCode(18259)
	SouthKorea                             = CountryCode(19282)
	SouthSudan                             = CountryCode(21331)
	Spain                                  = CountryCode(17747)
	SriLanka                               = CountryCode(19531)
	Sudan                                  = CountryCode(21316)
	Suriname                               = CountryCode(21330)
	SvalbardandJanMayen                    = CountryCode(21322)
	Swaziland                              = CountryCode(21338)
	Sweden                                 = CountryCode(21317)
	Switzerland                            = CountryCode(17224)
	Syria                                  = CountryCode(21337)
	Taiwan                                 = CountryCode(21591)
	Tajikistan                             = CountryCode(21578)
	Tanzania                               = CountryCode(21594)
	Thailand                               = CountryCode(21576)
	Togo                                   = CountryCode(21575)
	Tokelau                                = CountryCode(21579)
	Tonga                                  = CountryCode(21583)
	TrinidadandTobago                      = CountryCode(21588)
	Tunisia                                = CountryCode(21582)
	Turkey                                 = CountryCode(21586)
	Turkmenistan                           = CountryCode(21581)
	TurksandCaicosIslands                  = CountryCode(21571)
	Tuvalu                                 = CountryCode(21590)
	USVirginIslands                        = CountryCode(22089)
	Uganda                                 = CountryCode(21831)
	Ukraine                                = CountryCode(21825)
	UnitedArabEmirates                     = CountryCode(16709)
	UnitedKingdom                          = CountryCode(18242)
	UnitedStates                           = CountryCode(21843)
	UnitedStatesMinorOutlyingIslands       = CountryCode(21837)
	Uruguay                                = CountryCode(21849)
	Uzbekistan                             = CountryCode(21850)
	Vanuatu                                = CountryCode(22101)
	Vatican                                = CountryCode(22081)
	Venezuela                              = CountryCode(22085)
	Vietnam                                = CountryCode(22094)
	WallisandFutuna                        = CountryCode(22342)
	WesternSahara                          = CountryCode(17736)
	Yemen                                  = CountryCode(22853)
	Zambia                                 = CountryCode(23117)
	Zimbabwe                               = CountryCode(23127)
)
